FROM python:3.8-alpine

WORKDIR /usr/src/app/

ENV FLASK_APP app/app.py
ENV FLASK_RUN_HOST 0.0.0.0
RUN apk add --no-cache postgresql-libs && \
 apk add --no-cache --virtual .build-deps gcc musl-dev postgresql-dev
COPY requirements.txt requirements.txt
RUN pip install -r requirements.txt
RUN apk --purge del .build-deps
COPY . .
CMD ["python", "manage.py", "run"]
